<?xml version="1.0" encoding="UTF-8"?>
<settings>
	<!--
	This is a general-use regex syntax that supports all the major features shared by most regex
	flavors (assuming a PCRE-like approach). It does not, however, support:
	
	* named groups
	* conditional logic
	* unicode property syntax: \p{L}
	
	If your language needs these features, then your best bet is to include language-root.regex,
	then modify it using syntax injections.
	
	To include regex highlighting in your own Sugar, you can include various syntaxes as subzones:
	
	    <include syntax="language-root.regex" />
	
	The IDs provided are:
	
	* Regex search: language-root.regex
	* Regex replace ($1 backreferences): regex.replace
	* Regex replace (\1 backreferences): regex.replace.backslash-references
	-->
	<language id="com.macrabbit.espresso.sugar.regex" hidden="true">
		<syntax-name>language-root.regex</syntax-name>

		<name>Regex</name>

		<detectors>
			<extension>regex</extension>
		</detectors>
	</language>
</settings>